my system is sled 11 sp2 i used to install it from packman repository without any problem i don't know why this problem appears now
i tried to add the Suse development kit to my repository but the problem still exists